# Make API documentation

The Make API follows the REST API design. Make API is organized into resource-oriented URLs which also set the sections in the [API Reference](/api-documentation/api-reference.md) part of the documentation.

{% hint style="info" %}
Most Make API endpoints are reserved for our paid subscription plans and may not be accessible on the free tier.
{% endhint %}

To get yourself familiar with the basics of working with the Make API, continue reading to the [Getting started](/api-documentation/getting-started.md) section or jump directly into [making your first API request](/api-documentation/getting-started/making-your-first-api-request.md).

All requests to the Make API require authentication with the user authentication token with the relevant scopes enabled. To learn more about authentication in the Make API, go to the [Authentication](/api-documentation/authentication.md) section. You can also learn about the various API scopes in the [scopes overview](/api-documentation/authentication/api-scopes-overview.md).

If you are experiencing issues with the Make API, go to the [Troubleshooting](/api-documentation/troubleshooting.md) section for tips about what could go wrong and how to fix it.

{% hint style="info" %}
As a security best practice, make sure to use the correct case for your endpoints to work.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
